Bug 1260012 - Data Tiering:Regression:New file creates still going to cold tier after attaching tier
Summary: Data Tiering:Regression:New file creates still going to cold tier after attac...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: tiering
Version: 3.7.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Joseph Elwin Fernandes
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks: 1260923
TreeView+ depends on / blocked
 
Reported: 2015-09-04 07:31 UTC by Nag Pavan Chilakam
Modified: 2016-06-20 00:01 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.7.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-14 07:00:15 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nag Pavan Chilakam 2015-09-04 07:31:11 UTC
Description of problem:
======================
while doing IOs, I attached a tier, and found that the new file creates are still going to cold tier.
Also, after some time, when the volume was idle, I did a new set of file creates, but still these file creates were still going to cold tier.

The vol was mounted on nfs.

Note: I didnt do any other file ops like read dir, ls,etc


Also see bug#1260003

[root@nag-manual-node1 glusterfs]# gluster --version
glusterfs 3.7.4 built on Sep  2 2015 18:06:07
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@nag-manual-node1 glusterfs]# rpm -qa|grep gluster
glusterfs-libs-3.7.4-0.16.git9f27ef9.el6.x86_64
glusterfs-api-3.7.4-0.16.git9f27ef9.el6.x86_64
glusterfs-client-xlators-3.7.4-0.16.git9f27ef9.el6.x86_64
glusterfs-fuse-3.7.4-0.16.git9f27ef9.el6.x86_64
glusterfs-cli-3.7.4-0.16.git9f27ef9.el6.x86_64
glusterfs-3.7.4-0.16.git9f27ef9.el6.x86_64
glusterfs-server-3.7.4-0.16.git9f27ef9.el6.x86_64




Steps to Reproduce:
=====================
1.create a regular volume
2.now mount vol and do IOs and while IOs are going on attach a tier 
3.now after attach tier is complete,do create anohter set of new files
4. still the files are going to cold tier.

note: no options were changed or set after vol create.

Comment 1 Dan Lambright 2015-10-02 13:54:30 UTC
I do not see this happening with current code, and it is something we test on a regular basis with automated tests. Lets discuss this one in scrum.

Comment 2 Dan Lambright 2015-10-02 14:04:49 UTC
On step 2 we are attaching a tier while IO is happening. This functionality does not work yet and may (possibly) explain the observed behavior. 

So I would recommend to leave this open. And revisit this bug once attach tier is working (or we decide not to allow IO while attaching a tier).

Comment 4 Nag Pavan Chilakam 2016-01-04 12:12:38 UTC
it works now


Note You need to log in before you can comment on or make changes to this bug.